// A simple pascal script to navigate to the next 
// method in your source code.
// You can assign a keyboard shortcut to this script.
// E.g. Ctrl+Alt+Down

procedure GotoNextMethod;
begin
   if not Document.GotoNextMethod(False) then
   begin
      if MessageDlg('Could not find a method! Do you want to start again from the top?',mtInformation,mbYes or mbNo,0) = mrYes then
      begin
         Document.CursorDocStart(False);
         Document.GotoNextMethod(False);
      end; 
   end;   
end;

// Main function
begin
   GotoNextMethod;
end.

